## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           scribus
Version:        1.6.1
Release:        %autorelease
Summary:        Desktop Publishing application written in Qt
# swatches bring in the fun licenses
License:        GPL-2.0-or-later AND OGL-UK-3.0 AND CC0-1.0 AND CC-BY-4.0 AND CC-BY-SA-4.0 AND LicenseRef-Fedora-Public-Domain AND Apache-2.0 AND LGPL-2.0-or-later
URL:            http://www.scribus.net/

# svn export svn://scribus.net/trunk/Scribus scribus-%%{version}
# tar --exclude-vcs -cJf scribus-%%{version}.tar.xz scribus-%%{version}
## The following script removes non free contents
# ./make-free-archive %%{version}
Source0:        %{name}-%{version}-free.tar.xz
#Source0:        http://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}.tar.xz
#Source1:        http://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}.tar.xz.asc

# Enforce C++20 due to poppler
Patch0:         scribus-1.6.1-c++20.patch
Patch1:         scribus-1.6.1-c++20-warnings.patch
Patch2:         scribus-1.6.1-point-operator.patch
Patch3:         scribus-1.6.1-poppler-24.03.0.patch
Patch4:         scribus-1.6.1-poppler-24.03.0-fix.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  ghostscript
BuildRequires:  hyphen-devel
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2) >= 2.13.2
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(GraphicsMagick)
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcdr-0.1)
BuildRequires:  pkgconfig(libfreehand-0.1)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmspub-0.1)
BuildRequires:  pkgconfig(libpagemaker-0.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpodofo) < 0.9.9
BuildRequires:  pkgconfig(libqxp-0.0)
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libwpd-0.10)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzmf-0.0)
BuildRequires:  pkgconfig(openscenegraph)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(poppler-data)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(Qt5) > 5.14
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(tk)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3-qt5-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-tkinter


%filter_provides_in %{_libdir}/%{name}/plugins
%filter_setup


%description
Scribus is an desktop open source page layout program with
the aim of producing commercial grade output in PDF and
Postscript, primarily, though not exclusively for Linux.

While the goals of the program are for ease of use and simple easy to
understand tools, Scribus offers support for professional publishing
features, such as CMYK color, easy PDF creation, Encapsulated Postscript
import/export and creation of color separations.


%prep
%autosetup -p1

# fix permissions
chmod a-x scribus/pageitem_latexframe.h

# drop shebang lines from python scripts
%py3_shebang_fix %{name}/plugins/scriptplugin/{samples,scripts}/*.py

%build
%cmake  \
        -DWANT_CCACHE=YES \
        -DWANT_CPP17=ON \
        -DWANT_DISTROBUILD=YES \
        -DWANT_GRAPHICSMAGICK=1 \
        -DWANT_HUNSPELL=1 \
%if "%{_lib}" == "lib64"
        -DWANT_LIB64=YES \
%endif
        -DWANT_NORPATH=1 \
        -DWITH_BOOST=1 \
        -DWITH_PODOFO=1
%cmake_build

%install
%cmake_install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet \
        %{buildroot}%{_metainfodir}/%{name}.appdata.xml


%files
%license COPYING
%doc AUTHORS ChangeLog COPYING README LINKS TRANSLATION
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
%{_datadir}/icons/hicolor/1024x1024/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/mimetypes/application-vnd.%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-vnd.%{name}.png
%{_datadir}/icons/hicolor/64x64/mimetypes/application-vnd.%{name}.png
%{_datadir}/icons/hicolor/128x128/mimetypes/application-vnd.%{name}.png
%{_datadir}/icons/hicolor/256x256/mimetypes/application-vnd.%{name}.png
%{_datadir}/%{name}/
%{_mandir}/man1/*
%exclude %{_mandir}/pl/man1/*
%exclude %{_mandir}/de/man1/*


%changelog
## START: Generated by rpmautospec
* Thu Aug 22 2024 Marek Kasik <mkasik@redhat.com> - 1.6.1-6
- Rebuild for poppler 24.08.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.6.1-4
- Rebuilt for Python 3.13

* Thu Feb 08 2024 Marek Kasik <mkasik@redhat.com> - 1.6.1-3
- Rebuild for poppler 24.02.0

* Wed Jan 31 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6.1-2
- Revert increasing mininal build requirement

* Wed Jan 31 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6.1-1
- Update to 1.6.1 ...(#2256351) - Use pkgconfig for podofo-0.9 build
  requirment - Drop unused noheadinstall cmake parameter

* Wed Jan 31 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6.0-2
- Convert operators to upper-case for SPDX license expressions ... - Fix
  cmake parameter `-WANT_NOHEADERINSTALL=1` to `-DWANT_NOHEADERINSTALL=1`

* Wed Jan 31 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0 (rhbz#2256351)
- Convert licenses to SPDX format
- Switch to rpmautospec format

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 16 2023 Sandro Mani <manisandro@gmail.com> - 1.5.8-18
- Switch to BR podofo0.9-devel

* Mon Aug 07 2023 Marek Kasik <mkasik@redhat.com> - 1.5.8-17
- Rebuild for poppler 23.08.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 František Zatloukal <fzatlouk@redhat.com> - 1.5.8-15
- Rebuilt for ICU 73.2

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 1.5.8-14
- Rebuilt for Python 3.12

* Sat Jun 17 2023 Robert Scheck <robert@fedoraproject.org> - 1.5.8-13
- Backported upstream patch to fix PyUnicode_AS_UNICODE (#2155514)

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> - 1.5.8-12
- Rebuilt for Python 3.12

* Mon Feb 06 2023 Marek Kasik <mkasik@redhat.com> - 1.5.8-11
- Rebuild for poppler-23.02.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Pete Walter <pwalter@fedoraproject.org> - 1.5.8-9
- Rebuild for ICU 72

* Mon Aug 08 2022 Marek Kasik <mkasik@redhat.com> - 1.5.8-8
- Rebuild for poppler-22.08.0

* Mon Aug 01 2022 František Zatloukal <fzatlouk@redhat.com> - 1.5.8-7
- Rebuilt for ICU 71.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.8-5
- Rebuilt for Python 3.11

* Tue May 03 2022 Sandro Mani <manisandro@gmail.com> - 1.5.8-4
- Drop obsolete patches

* Tue May 03 2022 Sandro Mani <manisandro@gmail.com> - 1.5.8-3
- Fix bad BR

* Tue May 03 2022 Sandro Mani <manisandro@gmail.com> - 1.5.8-2
- Rebuild (podofo)

* Sun Mar 13 2022 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.8-1
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
